<% set_page_title(title_with_error_prefix(t('page_titles.make_live_form'), @what_happens_next_form.errors.present?)) %>
<% content_for :back_link, govuk_back_link_to(form_path(@what_happens_next_form.form), t("back_link.form_create")) %>


<div class="govuk-grid-row">
  <div class="govuk-grid-column-two-thirds">
    <%= form_with(model: @what_happens_next_form, url: what_happens_next_create_path(@what_happens_next_form.form)) do |f| %>
      <% if @what_happens_next_form&.errors&.present? %>
        <%= f.govuk_error_summary %>
      <% end %>

      <h1 class="govuk-heading-l">
        <span class="govuk-caption-l"><%= @what_happens_next_form.form.name %></span>
        <%= t("page_titles.what_happens_next_form") %>
      </h1>

      <p class="govuk-body">This page will be shown after someone has completed and submitted the form to let them know that the form has been submitted successfully.</p>

      <p class="govuk-body">Add some content to let people know what will happen next and when, so they know what to expect.</p>

      <h2 class="govuk-heading-s">Example</h2>

      <%= govuk_inset_text do %>
        We'll send you an email to let you know the outcome. You'll usually get a response within 10 working days.
      <% end %>

      <%= f.govuk_text_area :what_happens_next_text, max_chars: 2000, label: {size: 'm' } %>

      <%= f.govuk_submit t("save_and_continue") %>
    <% end %>
  </div>
</div>
